<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="icon" type="image/svg+xml" href="/vite.svg" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vite + React + TS</title>
  </head>
  <body>
    <div id="root"></div>
    <script>
      if(navigator.audioSession){
        console.log("audio session available");
        // navigator.audioSession.type = 'ambient';
        navigator.audioSession.type = 'play-and-record';
        navigator.audioSession.onstatechange = () => {
          console.log("audioSession.onstatechange: " + navigator.audioSession.state);
        }
      }else{
        console.log("audio session unavailable");
      }
    </script>
    <script type="module" src="/src/main.tsx"></script>
  </body>
</html>
